FREE(1)

BEZEICHNUNG
free - Anzeige des freien und belegten Speichers im System

ÜBERSICHT
free [Optionen]

BESCHREIBUNG
free zeigt den gesamten freien und genutzten physischen Speicher und Auslagerungsspeicher im System sowie die vom Kernel verwendeten Puffer und Zwischenspeicher an. Die Informationen werden durch Auslesen von /proc/meminfo ermittelt. Folgende Spalten werden angezeigt:

total
    zeigt den insgesamt installierten Speicher an (MemTotal and SwapTotal in /proc/meminfo).

used
    Benutzer Speicher (errechnet durch Gesamtspeicher minus freier Speicher minus Puffer minus Cache)

free
    Ungenutzter Speicher (MemFree and SwapFree in /proc/meminfo)

shared
    Von tmpfs (meist) genutzter Speicher (Shmem in /proc/meminfo, verfügbar ab Kernel 2.6.32, als 0 angezeigt, wenn nicht verfügbar)

buffers
    Von den Kernel-Puffern genutzter Speicher (Puffer in /proc/meminfo)

Cache
    Vom Page-Cache und Slabs genutzter Speicher (Cached und Slab in /proc/meminfo)

Puffer/Cache
    Summe von Puffer und Cache

verfügbar
    Schätzung des zum Starten neuer Anwendungen verfügbaren Speichers, ohne den Auslagerungsspeicher zu nutzen. Im Gegensatz zu den in den Feldern Cache oder Frei angezeigten Daten bezieht dieses Feld den Page-Cache mit ein, und beachtet außerdem, dass nicht alle beanspruchbaren Speicher-Slabs durch in Verwendung befindliche Objekte auch wirklich beansprucht werden. (MemAvailable in /proc/meminfo, verfügbar ab Kernel 3.14, emuliert in Kernel 2.6.27 und neuer, anderenfalls gleichbedeutend mit Frei)

OPTIONEN

-b, --bytes
    zeigt die Speichergröße in Byte an.

-k, --kilo
    zeigt die Speichergröße in Kilobyte an. Das ist die Voreinstellung.

-m, --mega
    zeigt die Speichergröße in Megabyte an.

-g, --giga
    zeigt die Speichergröße in Gigabyte an.

--tera
    zeigt die Speichergröße in Terabyte an.

-h, --human
    Alle angezeigten Felder werden automatisch auf die kleinste Einheit mit drei Ziffern skaliert. Die Einheiten werden in der Ausgabe angezeigt. Es werden die folgenden Einheiten verwendet.

      B = Byte
      K = Kilobyte
      M = Megabyte
      G = Gigabyte
      T = Terabyte

    Falls die Einheit fehlt und Sie Petabyte an RAM oder Swap haben, wird die Zahl in Terabyte angezeigt und die Spalten sind möglicherweise nicht an den Kopfzeilen ausgerichtet.

-w, --wide
    wechselt in den breiten Modus. In diesem Modus können Zeilen dargestellt werden, die länger als 80 Zeichen sind. Puffer und Cache werden dann in zwei separaten Spalten dargestellt.

-c, --count Anzahl
    zeigt das Ergebnis Anzahl mal an. Erfordert die Option -s.

-l, --lohi
    zeigt detailliert die Belegung von »low memory« und »high memory« an.

-s, --seconds Sekunden
    aktualisiert die Anzeige fortlaufend im Intervall von Sekunden. Sie können für Sekunden eine beliebige Gleitkommazahl angeben. Durch die Nutzung von usleep(3) können die Intervalle bis auf die Mikrosekunde genau festgelegt werden.

--si
    Potenzen von 1000 statt 1024 benutzen.

-t, --total
    zeigt eine Zeile mit den Spaltensummen an.

--help
    Hilfe ausgeben.

-V, --version
    zeigt Versionsinformationen an.

DATEIEN

/proc/meminfo
    Speicherinformationen

SIEHE AUCH
ps(1), slabtop(1), top(1), vmstat(8).

AUTOREN
Geschrieben von Brian Edmonds.

FEHLER BERICHTEN
Bitte senden Sie Fehlerberichte an procps@freelists.org